
extern struct osmo_fsm v51_ctrl_fsm;

struct v5x_ctrl_proto *v51_ctrl_create(struct v5x_interface *v5if, struct v5x_user_port *v5up, uint16_t nr);
int v51_rcv_ctrl(struct v5x_interface *v5if, uint16_t l3_addr, uint8_t msg_type, const struct tlv_parsed *tp);
int v51_snd_ctrl_common(struct v5x_interface *v5if, enum v51_ctrl_func_id cfi,
			uint8_t *rej_cause, uint8_t *variant, uint32_t *interface_id);
int v51_snd_ctrl_port(struct v5x_user_port *v5up, enum v51_ctrl_func_el cfe);
void v51_start_ctrl(struct v5x_ctrl_proto *ctrl);
void v51_stop_ctrl(struct v5x_ctrl_proto *ctrl);
